​

Get time logs

GET
https://example.kaiten.ru/api/latest/cards/{card_id}/time-logs

Starting October 1, 2026, public API requests return 100 time logs per request by default and at most 100. The response remains an array ordered by id ascending. Pass limit and offset to fetch successive pages; start with offset=0 and increase it by the applied limit until a page contains fewer time logs than that limit. The for_date parameter remains an optional filter and does not remove the page limit. The applied limit is returned in X-Pagination-Limit. Requests without pagination parameters also receive X-Pagination-Message.

Path parameters
NameTypeReference
card_idrequiredintegerCard ID
Query
NameTypeConstraintsDescription
limitintegerPublic API page size. Must be a positive integer; values greater than 100 are treated as 100. Default: 100
offsetintegerNumber of time logs to skip. Must be a non-negative integer. Default: 0
for_datestringFilter by for_date attribute
personalbooleanFilter time logs by current user
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
id

integer

Card time log id
card_id

integer

Card id
user_id

integer

User id
role_id

integer

Role id, predefined role is: -1 - Employee
author_id

integer

Author id
updater_id

integer | null

Last updater id
time_spent

integer

Minutes to log
for_date

string

Log date
comment

null | string

Time log comment
role

object

Schema
Role info
user

object

Schema
User info
author

object

Schema
Author info
400
DescriptionResponse typeExample
Invalid limit or offsetObject
Open
Response Attributes
NameTypeDescription
message

string

Validation error message
401
DescriptionResponse typeExample
Invalid tokenString
Open
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist
404
DescriptionResponse typeExample
Not foundResponse body does not exist
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/cards/{card_id}/time-logs' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!